Bug 442842 - Pull /usr/sbin/stunnel3 into seperate package?
Pull /usr/sbin/stunnel3 into seperate package?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: stunnel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 03:00 EDT by W. Michael Petullo
Modified: 2008-05-19 18:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-19 18:33:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2008-04-17 03:00:39 EDT
Description of problem:
The only thing in the stunnel package that seems to require perl is
/usr/sbin/stunnel3. Can this be put into a seperate package (e.g.,
stunnel-compat) so that the stunnel package may be installed without perl?

Version-Release number of selected component (if applicable):
stunnel-4.20-5.ppc

How reproducible:
Every time

Steps to Reproduce:
Install stunnel and not that it pulls in perl.
  
Actual results:


Expected results:


Additional info:
Comment 1 Miloslav Trmač 2008-04-18 06:39:39 EDT
Thanks for your report.

I'd rather just remove it - making a package for a 3kB file is sort of
ridiculous and stunnel 4.x is more than 5 years old, more than enough time to
migrate.

This can all happen only after Fedora 9 has branched, though.
Comment 2 Bug Zapper 2008-05-14 05:34:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Miloslav Trmač 2008-05-19 18:33:12 EDT
stunnel3 removed in rawhide stunnel-4.24-2.

Note You need to log in before you can comment on or make changes to this bug.